<template>
    <div class="module-bg-box">
        <div class="sub-title">
            <div class="left-data">
                <img
                    class="title-icon"
                    src="@/assets/img/MajorProjectsSubView/titile_icon.png"
                    alt=""
                />
                <div class="title-name">{{ name }}</div>
                <div class="sub-name">{{ subName }}</div>
            </div>
            <div class="right-content">
                <slot name="title-left"></slot>
            </div>
        </div>
        <div class="content">
            <i class="corner" v-for="(item, index) in 4" :key="index" />
            <slot></slot>
        </div>
    </div>
</template>
<script>
export default {
    props: {
        name: {
            type: String,
            default: '',
        },
        subName: {
            type: String,
            default: '',
        },
    },
}
</script>
<style lang="scss" scoped>
.module-bg-box {
  width: 100%;
  height: 100%;
  // margin-top: 4.5%;
  .sub-title {
    width: 100%;
    height: 50px;
    box-sizing: border-box;
    padding: 0 20px;
    background: linear-gradient(90deg, #0362cc 0%, rgba(3, 91, 192, 0) 100%);
    display: flex;
    align-items: center;
    justify-content: space-between;

    .left-data {
      min-width: 100px;
      display: flex;
      align-items: center;

      .title-icon {
        width: 23px;
        height: 16px;
        margin-right: 8px;
      }

      .title-name {
        font-size: 20px;
        font-family: 'Source Han Sans CN';
        font-weight: bold;
        text-shadow: 0px 1px 8px rgba(0, 27, 84, 0.13);
        background: linear-gradient(180deg, #ffffff 0%, #7b8cb0 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
      }

      .sub-name {
        font-size: 18px;
        font-family: 'SimHei';
        font-weight: bold;
        color: #ffffff;
        text-shadow: 0px 1px 8px rgba(0, 27, 84, 0.13);

        background: linear-gradient(0deg, #f1f8fa 0%, #093b8b 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        margin-left: 16px;
      }
    }
  }

  .content {
    width: 100%;
    height: calc(100% - 50px);
    background: url('~@/assets/img/MajorProjectsSubView/框@2x (1).png') no-repeat;
    background-size: 100% 100%;
    position: relative;

    .corner {
      $corner-width: 2.5px;

      content: '';
      position: absolute;
      width: 13px;
      height: 13px;
      border-color: #0a61bb;
      border-style: solid;
      user-select: none;

      &:nth-child(1) {
        left: 0;
        border-width: $corner-width 0 0 $corner-width;
      }

      &:nth-child(2) {
        right: 0;
        border-width: $corner-width $corner-width 0 0;
      }

      &:nth-child(3) {
        left: 0;
        bottom: 0;
        border-width: 0 0 $corner-width $corner-width;
      }

      &:nth-child(4) {
        right: 0;
        bottom: 0;
        border-width: 0 $corner-width $corner-width 0;
      }
    }

  }
}
</style >
